---
- name: Initial setup of OCtopus
  become: true
  gather_facts: false
  hosts: all
  roles:
    - role: common
  vars_files:
    - ../vars/common.yml
  vars_prompt:
    - name: "project_id"
      private: false
      prompt: "Enter the project ID for the OCtopus project"
    - name: "project_id_activity"
      private: false
      prompt: "Enter the project ID for the Squirro Monitoring project"
    - name: "token"
      private: false
      prompt: "Enter the token obtained from the Squirro project"
    - name: "url"
      private: false
      prompt: "Enter the url where OCtopus is hosted"
  tasks:
    - name: Setup custom folders and encrypt sensitive data with vault
      ansible.builtin.include_role:
        name: setup_octopus
